package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class DateWiseDataList implements Serializable {

    @SerializedName("01")
    @Expose
    private List<SingleDataList> singleDateOneList = null;

    @SerializedName("02")
    @Expose
    private List<SingleDataList> singleDateTwoList = null;

    @SerializedName("03")
    @Expose
    private List<SingleDataList> singleDateThreeList = null;

    @SerializedName("04")
    @Expose
    private List<SingleDataList> singleDateFourList = null;

    @SerializedName("05")
    @Expose
    private List<SingleDataList> singleDateFiveList = null;

    @SerializedName("06")
    @Expose
    private List<SingleDataList> singleDateSixList = null;

    @SerializedName("07")
    @Expose
    private List<SingleDataList> singleDateSevenList = null;

    @SerializedName("08")
    @Expose
    private List<SingleDataList> singleDateEightList = null;

    @SerializedName("09")
    @Expose
    private List<SingleDataList> singleDateNineList = null;

    @SerializedName("10")
    @Expose
    private List<SingleDataList> singleDateTenList = null;

    @SerializedName("11")
    @Expose
    private List<SingleDataList> singleDateElevenList = null;

    @SerializedName("12")
    @Expose
    private List<SingleDataList> singleDateTweleList = null;

    @SerializedName("13")
    @Expose
    private List<SingleDataList> singleDateThirteenList = null;

    @SerializedName("14")
    @Expose
    private List<SingleDataList> singleDateFourteenList = null;

    @SerializedName("15")
    @Expose
    private List<SingleDataList> singleDateFifteenList = null;

    @SerializedName("16")
    @Expose
    private List<SingleDataList> singleDateSixteenList = null;

    @SerializedName("17")
    @Expose
    private List<SingleDataList> singleDateSeventeenList = null;

    @SerializedName("18")
    @Expose
    private List<SingleDataList> singleDateEighteenList = null;

    @SerializedName("19")
    @Expose
    private List<SingleDataList> singleDateNineteenList = null;

    @SerializedName("20")
    @Expose
    private List<SingleDataList> singleDateTwentyList = null;

    @SerializedName("21")
    @Expose
    private List<SingleDataList> singleDateTwentyOneList = null;

    @SerializedName("22")
    @Expose
    private List<SingleDataList> singleDateTwentyTwoList = null;

    @SerializedName("23")
    @Expose
    private List<SingleDataList> singleDateTwentyThreeList = null;

    @SerializedName("24")
    @Expose
    private List<SingleDataList> singleDateTwentyFourList = null;

    @SerializedName("25")
    @Expose
    private List<SingleDataList> singleDateTwentyFiveList = null;

    @SerializedName("26")
    @Expose
    private List<SingleDataList> singleDateTwentySixList = null;

    @SerializedName("27")
    @Expose
    private List<SingleDataList> singleDateTwentySevenList = null;

    @SerializedName("28")
    @Expose
    private List<SingleDataList> singleDateTwentyEightList = null;

    @SerializedName("29")
    @Expose
    private List<SingleDataList> singleDateTwentyNineList = null;

    @SerializedName("30")
    @Expose
    private List<SingleDataList> singleDateThirtyList = null;

    @SerializedName("31")
    @Expose
    private List<SingleDataList> singleDateThirtyOneList = null;


    private final static long serialVersionUID = -7227043226666410576L;


    public List<SingleDataList> getSingleDateOneList() {
        return singleDateOneList;
    }

    public void setSingleDateOneList(List<SingleDataList> singleDateOneList) {
        this.singleDateOneList = singleDateOneList == null ? new ArrayList<>() : singleDateOneList;
    }

    public List<SingleDataList> getSingleDateTwoList() {
        return singleDateTwoList;
    }

    public void setSingleDateTwoList(List<SingleDataList> singleDateTwoList) {
        this.singleDateTwoList = singleDateTwoList == null ? new ArrayList<>() : singleDateTwoList;
    }

    public List<SingleDataList> getSingleDateThreeList() {
        return singleDateThreeList;
    }

    public void setSingleDateThreeList(List<SingleDataList> singleDateThreeList) {
        this.singleDateThreeList = singleDateThreeList == null ? new ArrayList<>() : singleDateThreeList;
    }

    public List<SingleDataList> getSingleDateTwentyFourList() {
        return singleDateTwentyFourList;
    }

    public void setSingleDateTwentyFourList(List<SingleDataList> singleDateTwentyFourList) {
        this.singleDateTwentyFourList = singleDateTwentyFourList == null ? new ArrayList<>() : singleDateTwentyFourList;
    }

    public List<SingleDataList> getSingleDateTwentyFiveList() {
        return singleDateTwentyFiveList;
    }

    public void setSingleDateTwentyFiveList(List<SingleDataList> singleDateTwentyFiveList) {
        this.singleDateTwentyFiveList = singleDateTwentyFiveList == null ? new ArrayList<>() : singleDateTwentyFiveList;
    }

    public List<SingleDataList> getSingleDateTwentySixList() {
        return singleDateTwentySixList == null ? new ArrayList<>() : singleDateTwentySixList;
    }

    public void setSingleDateTwentySixList(List<SingleDataList> singleDateTwentySixList) {
        this.singleDateTwentySixList = singleDateTwentySixList == null ? new ArrayList<>() : singleDateTwentySixList;
    }

    public List<SingleDataList> getSingleDateTwentySevenList() {
        return singleDateTwentySevenList;
    }

    public void setSingleDateTwentySevenList(List<SingleDataList> singleDateTwentySevenList) {
        this.singleDateTwentySevenList = singleDateTwentySevenList == null ? new ArrayList<>() : singleDateTwentySevenList;
    }

    public List<SingleDataList> getSingleDateTwentyEightList() {
        return singleDateTwentyEightList;
    }

    public void setSingleDateTwentyEightList(List<SingleDataList> singleDateTwentyEightList) {
        this.singleDateTwentyEightList = singleDateTwentyEightList == null ? new ArrayList<>() : singleDateTwentyEightList;
    }

    public List<SingleDataList> getSingleDateTwentyNineList() {
        return singleDateTwentyNineList;
    }

    public void setSingleDateTwentyNineList(List<SingleDataList> singleDateTwentyNineList) {
        this.singleDateTwentyNineList = singleDateTwentyNineList == null ? new ArrayList<>() : singleDateTwentyNineList;
    }

    public List<SingleDataList> getSingleDateThirtyList() {
        return singleDateThirtyList;
    }

    public void setSingleDateThirtyList(List<SingleDataList> singleDateThirtyList) {
        this.singleDateThirtyList = singleDateThirtyList == null ? new ArrayList<>() : singleDateThirtyList;
    }

    public List<SingleDataList> getSingleDateThirtyOneList() {
        return singleDateThirtyOneList;
    }

    public void setSingleDateThirtyOneList(List<SingleDataList> singleDateThirtyOneList) {
        this.singleDateThirtyOneList = singleDateThirtyOneList == null ? new ArrayList<>() : singleDateThirtyOneList;
    }

    public List<SingleDataList> getSingleDateFourList() {
        return singleDateFourList;
    }

    public void setSingleDateFourList(List<SingleDataList> singleDateFourList) {
        this.singleDateFourList = singleDateFourList == null ? new ArrayList<>() : singleDateFourList;
    }

    public List<SingleDataList> getSingleDateFiveList() {
        return singleDateFiveList;
    }

    public void setSingleDateFiveList(List<SingleDataList> singleDateFiveList) {
        this.singleDateFiveList = singleDateFiveList == null ? new ArrayList<>() : singleDateFiveList;
    }

    public List<SingleDataList> getSingleDateSixList() {
        return singleDateSixList;
    }

    public void setSingleDateSixList(List<SingleDataList> singleDateSixList) {
        this.singleDateSixList = singleDateSixList == null ? new ArrayList<>() : singleDateSixList;
    }

    public List<SingleDataList> getSingleDateSevenList() {
        return singleDateSevenList;
    }

    public void setSingleDateSevenList(List<SingleDataList> singleDateSevenList) {
        this.singleDateSevenList = singleDateSevenList == null ? new ArrayList<>() : singleDateSevenList;
    }

    public List<SingleDataList> getSingleDateEightList() {
        return singleDateEightList;
    }

    public void setSingleDateEightList(List<SingleDataList> singleDateEightList) {
        this.singleDateEightList = singleDateEightList == null ? new ArrayList<>() : singleDateEightList;
    }

    public List<SingleDataList> getSingleDateNineList() {
        return singleDateNineList;
    }

    public void setSingleDateNineList(List<SingleDataList> singleDateNineList) {
        this.singleDateNineList = singleDateNineList == null ? new ArrayList<>() : singleDateNineList;
    }

    public List<SingleDataList> getSingleDateTenList() {
        return singleDateTenList;
    }

    public void setSingleDateTenList(List<SingleDataList> singleDateTenList) {
        this.singleDateTenList = singleDateTenList == null ? new ArrayList<>() : singleDateTenList;
    }

    public List<SingleDataList> getSingleDateElevenList() {
        return singleDateElevenList;
    }

    public void setSingleDateElevenList(List<SingleDataList> singleDateElevenList) {
        this.singleDateElevenList = singleDateElevenList == null ? new ArrayList<>() : singleDateElevenList;
    }

    public List<SingleDataList> getSingleDateTweleList() {
        return singleDateTweleList;
    }

    public void setSingleDateTweleList(List<SingleDataList> singleDateTweleList) {
        this.singleDateTweleList = singleDateTweleList == null ? new ArrayList<>() : singleDateTweleList;
    }

    public List<SingleDataList> getSingleDateThirteenList() {
        return singleDateThirteenList;
    }

    public void setSingleDateThirteenList(List<SingleDataList> singleDateThirteenList) {
        this.singleDateThirteenList = singleDateThirteenList == null ? new ArrayList<>() : singleDateThirteenList;
    }

    public List<SingleDataList> getSingleDateFourteenList() {
        return singleDateFourteenList;
    }

    public void setSingleDateFourteenList(List<SingleDataList> singleDateFourteenList) {
        this.singleDateFourteenList = singleDateFourteenList == null ? new ArrayList<>() : singleDateFourteenList;
    }

    public List<SingleDataList> getSingleDateFifteenList() {
        return singleDateFifteenList;
    }

    public void setSingleDateFifteenList(List<SingleDataList> singleDateFifteenList) {
        this.singleDateFifteenList = singleDateFifteenList == null ? new ArrayList<>() : singleDateFifteenList;
    }

    public List<SingleDataList> getSingleDateSixteenList() {
        return singleDateSixteenList;
    }

    public void setSingleDateSixteenList(List<SingleDataList> singleDateSixteenList) {
        this.singleDateSixteenList = singleDateSixteenList == null ? new ArrayList<>() : singleDateSixteenList;
    }

    public List<SingleDataList> getSingleDateSeventeenList() {
        return singleDateSeventeenList;
    }

    public void setSingleDateSeventeenList(List<SingleDataList> singleDateSeventeenList) {
        this.singleDateSeventeenList = singleDateSeventeenList == null ? new ArrayList<>() : singleDateSeventeenList;
    }

    public List<SingleDataList> getSingleDateEighteenList() {
        return singleDateEighteenList;
    }

    public void setSingleDateEighteenList(List<SingleDataList> singleDateEighteenList) {
        this.singleDateEighteenList = singleDateEighteenList == null ? new ArrayList<>() : singleDateEighteenList;
    }

    public List<SingleDataList> getSingleDateNineteenList() {
        return singleDateNineteenList;
    }

    public void setSingleDateNineteenList(List<SingleDataList> singleDateNineteenList) {
        this.singleDateNineteenList = singleDateNineteenList == null ? new ArrayList<>() : singleDateNineteenList;
    }

    public List<SingleDataList> getSingleDateTwentyList() {
        return singleDateTwentyList;
    }

    public void setSingleDateTwentyList(List<SingleDataList> singleDateTwentyList) {
        this.singleDateTwentyList = singleDateTwentyList == null ? new ArrayList<>() : singleDateTwentyList;
    }

    public List<SingleDataList> getSingleDateTwentyOneList() {
        return singleDateTwentyOneList;
    }

    public void setSingleDateTwentyOneList(List<SingleDataList> singleDateTwentyOneList) {
        this.singleDateTwentyOneList = singleDateTwentyOneList == null ? new ArrayList<>() : singleDateTwentyOneList;
    }

    public List<SingleDataList> getSingleDateTwentyTwoList() {
        return singleDateTwentyTwoList;
    }

    public void setSingleDateTwentyTwoList(List<SingleDataList> singleDateTwentyTwoList) {
        this.singleDateTwentyTwoList = singleDateTwentyTwoList == null ? new ArrayList<>() : singleDateTwentyTwoList;
    }

    public List<SingleDataList> getSingleDateTwentyThreeList() {
        return singleDateTwentyThreeList;
    }

    public void setSingleDateTwentyThreeList(List<SingleDataList> singleDateTwentyThreeList) {
        this.singleDateTwentyThreeList = singleDateTwentyThreeList == null ? new ArrayList<>() : singleDateTwentyThreeList;
    }
}